* NOTE: format names are the same as variable names, except for
        variable names that end in a number.  For these a 1 is replaced
        by an A, a 2 is replaced by a B, and so on.
  Edit the infile statement to reference the data file on your computer.
*;
data atustrip_2007;
infile "c:\atustrip_2007.dat" firstobs=2 dsd missover lrecl=16384 dlm=",";
length
 TUCASEID $14
 TUTRIP_LN 8
 TUTRMNYR $6
 TUTRV1 8
 TUTRV2 8
 TUTRV31 8
 TUTRV32 8
 TUTRV33 8
 TUTRV34 8
 TUTRV41 8
 TUTRV42 8
 TUTRV43 8
 TUTRV44 8
 TUTRV45 8
 TUTRV46 8
 TUTRV5 8
;
input
 TUCASEID
 TUTRIP_LN
 TUTRMNYR
 TUTRV1
 TUTRV2
 TUTRV31
 TUTRV32
 TUTRV33
 TUTRV34
 TUTRV41
 TUTRV42
 TUTRV43
 TUTRV44
 TUTRV45
 TUTRV46
 TUTRV5
;
label TUCASEID = "ATUS Case ID (14-digit identifier)";
label TUTRIP_LN = "Trip line number";
label TUTRMNYR = "Month about which trips questions were asked";
label TUTRV1 = "How many times were you away from home in TUTRMNYR? Only report times when you were away from home for 2 or more nights in a row";
label TUTRV2 = "Main purpose of trip";
label TUTRV31 = "Other main purpose: school related activities";
label TUTRV32 = "Other main purpose: weddings or funerals";
label TUTRV33 = "Other main purpose: medical reasons";
label TUTRV34 = "Other main purpose: other";
label TUTRV41 = "Multiple reasons for trip: vacation or visiting friends/relatives was one reason for trip";
label TUTRV42 = "Multiple reasons for trip: business or work was one reason for trip";
label TUTRV43 = "Multiple reasons for trip: school related activities was one reason for trip";
label TUTRV44 = "Multiple reasons for trip: weddings or funerals was one reason for trip";
label TUTRV45 = "Multiple Reasons for trip: medical reasons was one reason for trip";
label TUTRV46 = "Multiple reasons for trip: other reason was one reason for trip";
label TUTRV5 = "Number of nights away for trip";
run;
 
proc format;
value TUTRVB /*altered: TUTRV2*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
1 = "Vacation or visiting friends/relatives"
2 = "Business or work"
3 = "Something else (see TUTRV31 - TUTRV34)"
4 = "Multiple purposes (see TUTRV41 - TUTRV46)"
;
value TUTRV3A /*altered: TUTRV31*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV3B /*altered: TUTRV32*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV3C /*altered: TUTRV33*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV3D /*altered: TUTRV34*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV4A /*altered: TUTRV41*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV4B /*altered: TUTRV42*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV4C /*altered: TUTRV43*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV4D /*altered: TUTRV44*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV4E /*altered: TUTRV45*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
value TUTRV4F /*altered: TUTRV46*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
;
proc contents data=atustrip_2007; run;
